### Hierarchy

- unknown
  - GetTransactionReply

## Index

### Constructors

- constructor

### Methods

- clearTxInfo
- getTxInfo
- hasTxInfo
- serializeBinary
- setTxInfo
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetTransactionReply(): GetTransactionReply

- Inherited from jspb.Message.constructor

  #### Returns GetTransactionReply

## Methods

### clearTxInfo

- clearTxInfo(): GetTransactionReply

- - Defined in src/protobuf/grpc_pb.d.ts:3531

  #### Returns GetTransactionReply

### getTxInfo

- getTxInfo(): undefined | TxInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3528

  #### Returns undefined | TxInfo

### hasTxInfo

- hasTxInfo(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:3530

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3533

  #### Returns Uint8Array

### setTxInfo

- setTxInfo(value?: TxInfo ): GetTransactionReply

- - Defined in src/protobuf/grpc_pb.d.ts:3529

  #### Parameters

  - ##### Optional value: TxInfo

  #### Returns GetTransactionReply

### toObject

- toObject(includeInstance?: boolean): GetTransactionReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3534

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetTransactionReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetTransactionReply

- - Defined in src/protobuf/grpc_pb.d.ts:3537

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetTransactionReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetTransactionReply, reader: BinaryReader): GetTransactionReply

- - Defined in src/protobuf/grpc_pb.d.ts:3538

  #### Parameters

  - ##### message: GetTransactionReply

  - ##### reader: BinaryReader

  #### Returns GetTransactionReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetTransactionReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3536

  #### Parameters

  - ##### message: GetTransactionReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetTransactionReply ): GetTransactionReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3535

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetTransactionReply

  #### Returns GetTransactionReply . AsObject

Generated using TypeDoc